# $Revision: 1.5 $, $Date: 2005/02/18 19:19:45 $
Summary:	The pslib C-library to create PostScript on the fly
Summary(pl):	Biblioteka do generowania w locie plikw PostScript
Name:		pslib
Version:	0.2.5
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/pslib/%{name}-%{version}.tar.gz
# Source0-md5:	12cf52461658fe32524975896771b66d
URL:		http://pslib.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pslib is a C-library to create PostScript files on the fly. It offers
many drawing primitives, inclusion of PNG and EPS images and a very
sophisticated text rendering including hyphenation, kerning and
ligatures. It can read external Type1 fonts and embed them into the
output file. It supports pdfmarks which makes it in combination with
ghostscript's pdfwriter an alternative for libraries creating PDF.

%description -l pl
pslib to biblioteka C do tworzenia w locie plikw PostScript. Oferuje
rysowanie wielu prymityww, wczanie obrazw PNG i EPS oraz bardzo
wyszukane renderowanie tekstu wcznie z przenoszeniem, kerningiem i
ligaturami. Moe wczytywa zewntrzne fonty Type1 i osadza je w pliku
wyjciowym. Obsuguje pdfmarki, co, w poczeniu z pdfwriterem z
ghostscripta, czyni j alternatyw dla bibliotek tworzcych PDF.

%package devel
Summary:	Development files for the pslib C-library to create PostScript
Summary(pl):	Pliki programistyczne dla biblioteki C pslib tworzcej PostScript
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for the pslib C-library to create PostScript files
on the fly.

%description devel -l pl
Pliki programistyczne dla biblioteki C pslib tworzcej w locie pliki
PostScript.

%package static
Summary:	Static pslib library
Summary(pl):	Statyczna biblioteka pslib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static pslib library.

%description static -l pl
Statyczna biblioteka pslib.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pslib.spec,v $
Revision 1.5  2005/02/18 19:19:45  qboosh
- pl, unified, cleanup; release 2

Revision 1.4  2005/02/17 19:24:38  darekr
- fixed Source0, ehm md5sum was good. Sleep, chrr chrr

Revision 1.3  2005/02/17 18:39:08  darekr
- fixed md5

Revision 1.2  2005/02/17 18:28:00  darekr
- BR: ac,am

Revision 1.1  2005/02/17 17:45:45  djurban
- initial, wanted by yzis
